Bug 117022 - kernel 2.6.3: Cisco Airo MPI350 cards do not work with WEP
kernel 2.6.3: Cisco Airo MPI350 cards do not work with WEP
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Galgoci
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-02-27 10:42 EST by Kevin Sonney
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-16 14:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Sonney 2004-02-27 10:42:29 EST
Description of problem:
With WEP enabled on a Cisco Airo Mini-PCI 350 (MPI350) card, packets
are not recieved.

Version-Release number of selected component (if applicable):
Kernel 2.6.3 - doesn't matter if it's Arjan's, FC2, or kernel.org sources

How reproducible:
Every time

Steps to Reproduce:
1. Install kernel 2.6.3 on a system with a Cisco MPI350
2. Configure the WEP keys with either ACU or iwconfig
3. Associate with the access point (this works - so the *CARD* is WEP
enabled)
4. Try to get and IP via DHCP (or if static IP is in use, try to Ping)
  
Actual results:
With DHCP, No DHCP responses are registered. The card sends the
DHCPREQUEST, but the DHCP responses aren't recieved. 

If Static IP is used, paackets are seen leaving, but none are recieved
by the system. 

Expected results:
Working network :)

Additional info:
Verified with both the ACU's settings, and using iwconfig against
Cisco Access points (in house) and a Linksys AP. If WEP is disabled,
packets pass normally, and the network is working.

For the record, the 2.4 airo drivers (add-ons) work with the RHEL3
kernel, but not the Fedora Core 1 kernels.
Comment 1 Kevin Sonney 2004-03-02 14:50:53 EST
Additonal Note - yes, the card is using 5.00.03 firmware. 

I did try (just for grins) setting /proc/sys/net/ipv4/tcp_ecn to 0,
and that didn't change anything. 
Comment 2 Kevin Sonney 2004-03-22 09:09:15 EST
As of Kernel 2.6.4-1.275, the airo_cs pcmcia adapter I have is
exhibiting similar behavior. Firmware on that card is 4.25.30.
Comment 3 Chris Tooley 2004-03-27 21:35:39 EST
With 2.6.4-1.290 I can not insert my Aironet 350 without it completely
killing the machine.  No core dump, do panic, no error, the system
just completely freezes.
Comment 4 Matthew Galgoci 2005-05-16 10:34:00 EDT
Chris,

What firmware version is on the card?

Thanks,

Matt

Note You need to log in before you can comment on or make changes to this bug.